/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Cardiac Ultrasound Venous Return Systemic Finding Sites
 */
public enum EnumCM_CardiacUltrasoundVenousReturnSystemicFindingSites {

	//CID 12282 Cardiac Ultrasound Venous Return Systemic Finding Sites
	SUPERIOR_VENA_CAVA("Superior Vena Cava"),
	RIGHT_SUPERIOR_VENA_CAVA("Right Superior Vena Cava"),
	LEFT_SUPERIOR_VENA_CAVA("Left Superior Vena Cava"),
	INFERIOR_VENA_CAVA("Inferior Vena Cava"),
	HEPATIC_VEIN("Hepatic Vein"),
	HEMI_FONTAN_PATHWAY("Hemi-Fontan Pathway"),
	GLENN_PATHWAY("Glenn Pathway"),
	FONTAN_PATHWAY("Fontan Pathway"),
	FONTAN_INFERIOR_VENA_CAVA_PATHWAY("Fontan Inferior Vena Cava Pathway"),
	FONTAN_FENESTRATION("Fontan Fenestration"),
	FONTAN_PULMONARY_ARTERY_CONNECTION("Fontan Pulmonary Artery Connection"),
	FONTAN_BAFFLE_LEAK("Fontan Baffle Leak"),
	MUSTARD_OR_SENNING_SUPERIOR_VENA_CAVA_PATHWAY("Mustard or Senning Superior Vena Cava Pathway"),
	MUSTARD_OR_SENNING_INFERIOR_VENA_CAVA_PATHWAY("Mustard or Senning Inferior Vena Cava Pathway"),
	MUSTARD_OR_SENNING_COMMON_SYSTEMIC_VENOUS_PATHWAY("Mustard or Senning Common Systemic Venous Pathway");
	
	private String value;
	
	EnumCM_CardiacUltrasoundVenousReturnSystemicFindingSites(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
